/*
 * ProtocollData.h
 *
 * Created: 25.09.2014 22:18:57
 *  Author: Hartmut_Burger
 */ 


#ifndef PROTOCOLLDATA_H_
#define PROTOCOLLDATA_H_

#define prot_button_Green	254						 // Button Green on Frontboard
#define prot_button_Red		253						 // Button Red on Frontboard

#define prot_Receive_Break	252						 // wrong Signs got clear Buffer and retry communication	
#define prot_BEGIN          251                      // starts the communication
#define prot_Send_Data      250                      // send data >> FRONTBOARD
#define prot_Receive_Data   249                      // receive data << FRONTBOARD
#define prot_Endof_Transmit 248                      // transmit data finished
#define prot_ACK            247                      // acknowledge BIT ( get it after transmission)

#define prot_gen_FAULT      246                      // any fault happen on the FRONTBOARD or on MAINBOARD ( blinkcode informs about the fault)
#define prot_ini_FAULT      245                      // INITIATOR FAULT on the MAINBOARD ( blinkcode informs about the fault)
#define prot_batt_FAULT     244                      // BATTERIE FAULT on the FRONTBOARD ( blinkcode informs about the fault)
#define prot_code_FAULT     prot_code_FAULT+230		 // >>> SEND Fault codes between 230 and 239 allowed

#define prot_charg_START    243                      // indicates that the charger STARTS and Ack it with prot_charg_BUSY
#define prot_charg_STOP     242                      // indicates that the charger STOPS and Ack it with prot_charg_ACK
#define prot_charg_BUSY     241                      // indicates that charging is in PROGRESS ( just reading )
#define prot_charg_ACK      240                      // acknowledge BIT ( get it after each transmission)

#endif /* PROTOCOLLDATA_H_ */