/*
 * init.c
 * alle Ein und Ausgnge werden hier deklariert und eingestellt
 * MOSI MISO SCK RXD TXD bleiben unverndert
 * Created: 23.09.2014 20:31:05
 *  Author: Hartmut Burger
 */ 
#define F_CPU 8000000UL
#include <avr/io.h>
#include "init.h"
#include "ProtocollData.h"
#include <util/delay.h>


void initialSequence(int x){
	
	while (SystemOk == 0)
	{
		
	/************************************ Initialize DIGITAL IN-AND OUTPUTS *****************************************************/
	
	if (SystemOk == 0 && (DigitalInOutDefined == 0));iniIO(0);_delay_ms(100);
		
	/************************************ Initialize Communication with UART 1 **************************************************/
	
	/*if (DigitalInOutDefined );StartCommunication(0);_delay_ms(100);				// RUNS ALSO FAULTHANDLER to catch any FAULT
	*/
	StartComm = 1;		//DELETE AFTER SUCESSFULL TEST 
	/************************************ Initialize Safety Controling **********************************************************/
	
	  if (DigitalInOutDefined);SafetyControler(0);_delay_ms(100);
	
	/************************************ Initialize Motor and bring it to ZERO Position******************************************/
	
	  if(StartSafety);IniMot(0);_delay_ms(100);
	
	/************************************ INITIALISATION FINISHED AND SUCESSFULL *************************************************/
	
	if(StartMot);SystemOk = 1 ;if(BuzzerON);_delay_us(150);BuzzerOFF;_delay_us(150);	// BUZZER needs PWM 2,4 KHz NOT IMPLEMENTED !!!!!
	
}
}